HaXml-1.25.14: Utilities for manipulating XML documents

Safe Haskell | Safe-Inferred
Language | Haskell98

Text.XML.HaXml.Schema.XSDTypeModel

# Documentation

data PrimitiveType Source #

Constructors

String |
Boolean |
Decimal |
Float |
Double |
Duration |
DateTime |
Time |
Date |
GYearMonth |
GYear |
GMonthDay |
GDay |
GMonth |
Base64Binary |
HexBinary |
AnyURI |
QName |
Notation |

#### Instances

Instances details

Show PrimitiveType Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> PrimitiveType -> ShowS Source # show :: PrimitiveType -> String Source # showList :: [PrimitiveType] -> ShowS Source #
Eq PrimitiveType Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: PrimitiveType -> PrimitiveType -> Bool Source # (/=) :: PrimitiveType -> PrimitiveType -> Bool Source #

data Any Source #

Constructors

Any |

Fields

- any_annotation :: Annotation
- any_namespace :: URI
- any_processContents :: ProcessContents
- any_occurs :: Occurs

#### Instances

Instances details

Show Any Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Any -> ShowS Source # show :: Any -> String Source # showList :: [Any] -> ShowS Source #
Eq Any Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Any -> Any -> Bool Source # (/=) :: Any -> Any -> Bool Source #

data Selector Source #

Constructors

Selector |

Fields

- selector_annotation :: Annotation
- selector_xpath :: String

#### Instances

Instances details

Show Selector Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Selector -> ShowS Source # show :: Selector -> String Source # showList :: [Selector] -> ShowS Source #
Eq Selector Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Selector -> Selector -> Bool Source # (/=) :: Selector -> Selector -> Bool Source #

data ChoiceOrSeq Source #

Constructors

All Annotation [ElementDecl] |
Choice Annotation Occurs [ElementEtc] |
Sequence Annotation Occurs [ElementEtc] |

#### Instances

Instances details

Show ChoiceOrSeq Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> ChoiceOrSeq -> ShowS Source # show :: ChoiceOrSeq -> String Source # showList :: [ChoiceOrSeq] -> ShowS Source #
Eq ChoiceOrSeq Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: ChoiceOrSeq -> ChoiceOrSeq -> Bool Source # (/=) :: ChoiceOrSeq -> ChoiceOrSeq -> Bool Source #

data Unique Source #

Constructors

Unique |

Fields

- unique_annotation :: Annotation
- unique_name :: Name
- unique_selector :: Selector
- unique_fields :: [Field]

#### Instances

Instances details

Show Unique Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Unique -> ShowS Source # show :: Unique -> String Source # showList :: [Unique] -> ShowS Source #
Eq Unique Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Unique -> Unique -> Bool Source # (/=) :: Unique -> Unique -> Bool Source #

type Fixed = Bool Source #

data SchemaItem Source #

Constructors

Include SchemaLocation Annotation |
Import URI SchemaLocation Annotation |
Redefine SchemaLocation [SchemaItem] |
Annotation Annotation |
Simple SimpleType |
Complex ComplexType |
SchemaElement ElementDecl |
SchemaAttribute AttributeDecl |
AttributeGroup AttrGroup |
SchemaGroup Group |

#### Instances

Instances details

Show SchemaItem Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> SchemaItem -> ShowS Source # show :: SchemaItem -> String Source # showList :: [SchemaItem] -> ShowS Source #
Eq SchemaItem Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: SchemaItem -> SchemaItem -> Bool Source # (/=) :: SchemaItem -> SchemaItem -> Bool Source #

data ProcessContents Source #

Constructors

Skip |
Lax |
Strict |

#### Instances

Instances details

Show ProcessContents Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> ProcessContents -> ShowS Source # show :: ProcessContents -> String Source # showList :: [ProcessContents] -> ShowS Source #
Eq ProcessContents Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: ProcessContents -> ProcessContents -> Bool Source # (/=) :: ProcessContents -> ProcessContents -> Bool Source #

data Key Source #

Constructors

Key |

Fields

- key_annotation :: Annotation
- key_name :: Name
- key_selector :: Selector
- key_fields :: [Field]

#### Instances

Instances details

Show Key Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Key -> ShowS Source # show :: Key -> String Source # showList :: [Key] -> ShowS Source #
Eq Key Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Key -> Key -> Bool Source # (/=) :: Key -> Key -> Bool Source #

data Extension Source #

Constructors

Extension |

Fields

- extension_annotation :: Annotation
- extension_base :: QName
- extension_newstuff :: ParticleAttrs

#### Instances

Instances details

Show Extension Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Extension -> ShowS Source # show :: Extension -> String Source # showList :: [Extension] -> ShowS Source #
Eq Extension Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Extension -> Extension -> Bool Source # (/=) :: Extension -> Extension -> Bool Source #

data MyRestriction Source #

Constructors

Range Occurs |
Pattern Regexp |
Enumeration [String] |

#### Instances

Instances details

Show MyRestriction Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> MyRestriction -> ShowS Source # show :: MyRestriction -> String Source # showList :: [MyRestriction] -> ShowS Source #
Eq MyRestriction Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: MyRestriction -> MyRestriction -> Bool Source # (/=) :: MyRestriction -> MyRestriction -> Bool Source #

data Schema Source #

Constructors

Schema |

Fields

- schema_elementFormDefault :: QForm
- schema_attributeFormDefault :: QForm
- schema_finalDefault :: Maybe Final
- schema_blockDefault :: Maybe Block
- schema_targetNamespace :: Maybe TargetNamespace
- schema_version :: Maybe String
- schema_namespaces :: [Namespace]
- schema_items :: [SchemaItem]

#### Instances

Instances details

Monoid Schema Source # | This instance is pretty unsatisfactory, and is useful only for building environments involving recursive modules. The mappend method is left-biased, and the mempty value contains lots of undefined values.
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods mempty :: Schema Source # mappend :: Schema -> Schema -> Schema Source # mconcat :: [Schema] -> Schema Source #
Semigroup Schema Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (<>) :: Schema -> Schema -> Schema Source # sconcat :: NonEmpty Schema -> Schema Source # stimes :: Integral b => b -> Schema -> Schema Source #
Show Schema Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Schema -> ShowS Source # show :: Schema -> String Source # showList :: [Schema] -> ShowS Source #
Eq Schema Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Schema -> Schema -> Bool Source # (/=) :: Schema -> Schema -> Bool Source #

data Occurs Source #

Constructors

Occurs (Maybe Int) (Maybe Int) |

#### Instances

Instances details

Monoid Occurs Source # |
Instance details Defined in Text.XML.HaXml.Schema.TypeConversion Methods mempty :: Occurs Source # mappend :: Occurs -> Occurs -> Occurs Source # mconcat :: [Occurs] -> Occurs Source #
Semigroup Occurs Source # |
Instance details Defined in Text.XML.HaXml.Schema.TypeConversion Methods (<>) :: Occurs -> Occurs -> Occurs Source # sconcat :: NonEmpty Occurs -> Occurs Source # stimes :: Integral b => b -> Occurs -> Occurs Source #
Show Occurs Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Occurs -> ShowS Source # show :: Occurs -> String Source # showList :: [Occurs] -> ShowS Source #
Eq Occurs Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Occurs -> Occurs -> Bool Source # (/=) :: Occurs -> Occurs -> Bool Source #

data SimpleType Source #

Constructors

Primitive |

Fields

- simple_primitive :: PrimitiveType

Restricted |

Fields

- simple_annotation :: Annotation
- simple_name :: Maybe Name
- simple_final :: Maybe Final
- simple_restriction :: Restriction

ListOf |

Fields

- simple_annotation :: Annotation
- simple_name :: Maybe Name
- simple_final :: Maybe Final
- simple_type :: Either SimpleType QName

UnionOf |

Fields

- simple_annotation :: Annotation
- simple_name :: Maybe Name
- simple_final :: Maybe Final
- simple_union :: [SimpleType]
- simple_members :: [QName]

#### Instances

Instances details

Show SimpleType Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> SimpleType -> ShowS Source # show :: SimpleType -> String Source # showList :: [SimpleType] -> ShowS Source #
Eq SimpleType Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: SimpleType -> SimpleType -> Bool Source # (/=) :: SimpleType -> SimpleType -> Bool Source #

data ElementDecl Source #

Constructors

ElementDecl |

Fields

- elem_annotation :: Annotation
- elem_nameOrRef :: Either NameAndType QName
- elem_occurs :: Occurs
- elem_nillable :: Nillable
- elem_substGroup :: Maybe QName
- elem_abstract :: Bool
- elem_final :: Maybe Final
- elem_block :: Maybe Block
- elem_form :: QForm
- elem_content :: Maybe (Either SimpleType ComplexType)
- elem_stuff :: [UniqueKeyOrKeyRef]

#### Instances

Instances details

Show ElementDecl Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> ElementDecl -> ShowS Source # show :: ElementDecl -> String Source # showList :: [ElementDecl] -> ShowS Source #
Eq ElementDecl Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: ElementDecl -> ElementDecl -> Bool Source # (/=) :: ElementDecl -> ElementDecl -> Bool Source #

type Mixed = Bool Source #

data QForm Source #

Constructors

Qualified |
Unqualified |

#### Instances

Instances details

Show QForm Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> QForm -> ShowS Source # show :: QForm -> String Source # showList :: [QForm] -> ShowS Source #
Eq QForm Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: QForm -> QForm -> Bool Source # (/=) :: QForm -> QForm -> Bool Source #

data Final Source #

Constructors

NoExtension |
NoRestriction |
AllFinal |

#### Instances

Instances details

Show Final Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Final -> ShowS Source # show :: Final -> String Source # showList :: [Final] -> ShowS Source #
Eq Final Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Final -> Final -> Bool Source # (/=) :: Final -> Final -> Bool Source #

type Block = Final Source #

type TargetNamespace = URI Source #

type SchemaLocation = String Source #

data Annotation Source #

Constructors

Documentation String |
AppInfo String |
NoAnnotation String |

#### Instances

Instances details

Monoid Annotation Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods mempty :: Annotation Source # mappend :: Annotation -> Annotation -> Annotation Source # mconcat :: [Annotation] -> Annotation Source #
Semigroup Annotation Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (<>) :: Annotation -> Annotation -> Annotation Source # sconcat :: NonEmpty Annotation -> Annotation Source # stimes :: Integral b => b -> Annotation -> Annotation Source #
Show Annotation Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Annotation -> ShowS Source # show :: Annotation -> String Source # showList :: [Annotation] -> ShowS Source #
Eq Annotation Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Annotation -> Annotation -> Bool Source # (/=) :: Annotation -> Annotation -> Bool Source #

type URI = String Source #

data ComplexType Source #

Constructors

ComplexType |

Fields

- complex_annotation :: Annotation
- complex_name :: Maybe Name
- complex_abstract :: Bool
- complex_final :: Maybe Final
- complex_block :: Maybe Block
- complex_mixed :: Bool
- complex_content :: ComplexItem

#### Instances

Instances details

Show ComplexType Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> ComplexType -> ShowS Source # show :: ComplexType -> String Source # showList :: [ComplexType] -> ShowS Source #
Eq ComplexType Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: ComplexType -> ComplexType -> Bool Source # (/=) :: ComplexType -> ComplexType -> Bool Source #

data AttributeDecl Source #

Constructors

AttributeDecl |

Fields

- attr_annotation :: Annotation
- attr_nameOrRef :: Either NameAndType QName
- attr_use :: Use
- attr_defFixed :: Maybe (Either DefaultValue FixedValue)
- attr_form :: QForm
- attr_simpleType :: Maybe SimpleType

#### Instances

Instances details

Show AttributeDecl Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> AttributeDecl -> ShowS Source # show :: AttributeDecl -> String Source # showList :: [AttributeDecl] -> ShowS Source #
Eq AttributeDecl Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: AttributeDecl -> AttributeDecl -> Bool Source # (/=) :: AttributeDecl -> AttributeDecl -> Bool Source #

data AttrGroup Source #

Constructors

AttrGroup |

Fields

- attrgroup_annotation :: Annotation
- attrgroup_nameOrRef :: Either Name QName
- attrgroup_stuff :: [Either AttributeDecl AttrGroup]

#### Instances

Instances details

Show AttrGroup Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> AttrGroup -> ShowS Source # show :: AttrGroup -> String Source # showList :: [AttrGroup] -> ShowS Source #
Eq AttrGroup Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: AttrGroup -> AttrGroup -> Bool Source # (/=) :: AttrGroup -> AttrGroup -> Bool Source #

data Group Source #

Constructors

Group |

Fields

- group_annotation :: Annotation
- group_nameOrRef :: Either Name QName
- group_occurs :: Occurs
- group_stuff :: Maybe ChoiceOrSeq

#### Instances

Instances details

Show Group Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Group -> ShowS Source # show :: Group -> String Source # showList :: [Group] -> ShowS Source #
Eq Group Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Group -> Group -> Bool Source # (/=) :: Group -> Group -> Bool Source #

data Restriction Source #

Constructors

RestrictSim1 |

Fields

- restrict_annotation :: Annotation
- restrict_base :: Maybe QName
- restrict_r1 :: Restriction1

RestrictType |

Fields

- restrict_annotation :: Annotation
- restrict_base :: Maybe QName
- restrict_type :: Maybe SimpleType
- restrict_facets :: [Facet]

#### Instances

Instances details

Show Restriction Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Restriction -> ShowS Source # show :: Restriction -> String Source # showList :: [Restriction] -> ShowS Source #
Eq Restriction Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Restriction -> Restriction -> Bool Source # (/=) :: Restriction -> Restriction -> Bool Source #

data Restriction1 Source #

Constructors

Restriction1 Particle |

#### Instances

Instances details

Show Restriction1 Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Restriction1 -> ShowS Source # show :: Restriction1 -> String Source # showList :: [Restriction1] -> ShowS Source #
Eq Restriction1 Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Restriction1 -> Restriction1 -> Bool Source # (/=) :: Restriction1 -> Restriction1 -> Bool Source #

data Facet Source #

Constructors

Facet |

Fields

- facet_facetType :: FacetType
- facet_annotation :: Annotation
- facet_facetValue :: String
- facet_fixed :: Bool

#### Instances

Instances details

Show Facet Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Facet -> ShowS Source # show :: Facet -> String Source # showList :: [Facet] -> ShowS Source #
Eq Facet Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Facet -> Facet -> Bool Source # (/=) :: Facet -> Facet -> Bool Source #

data FacetType Source #

Constructors

OrderedBoundsMinIncl |
OrderedBoundsMinExcl |
OrderedBoundsMaxIncl |
OrderedBoundsMaxExcl |
OrderedNumericTotalDigits |
OrderedNumericFractionDigits |
UnorderedPattern |
UnorderedEnumeration |
UnorderedWhitespace |
UnorderedLength |
UnorderedMaxLength |
UnorderedMinLength |

#### Instances

Instances details

Show FacetType Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> FacetType -> ShowS Source # show :: FacetType -> String Source # showList :: [FacetType] -> ShowS Source #
Eq FacetType Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: FacetType -> FacetType -> Bool Source # (/=) :: FacetType -> FacetType -> Bool Source #

data ComplexItem Source #

Constructors

SimpleContent |

Fields

- ci_annotation :: Annotation
- ci_stuff :: Either Restriction1 Extension

ComplexContent |

Fields

- ci_annotation :: Annotation
- ci_mixed :: Bool
- ci_stuff :: Either Restriction1 Extension

ThisType |

Fields

- ci_thistype :: ParticleAttrs

#### Instances

Instances details

Show ComplexItem Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> ComplexItem -> ShowS Source # show :: ComplexItem -> String Source # showList :: [ComplexItem] -> ShowS Source #
Eq ComplexItem Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: ComplexItem -> ComplexItem -> Bool Source # (/=) :: ComplexItem -> ComplexItem -> Bool Source #

data ParticleAttrs Source #

Constructors

PA Particle [Either AttributeDecl AttrGroup] (Maybe AnyAttr) |

#### Instances

Instances details

Show ParticleAttrs Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> ParticleAttrs -> ShowS Source # show :: ParticleAttrs -> String Source # showList :: [ParticleAttrs] -> ShowS Source #
Eq ParticleAttrs Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: ParticleAttrs -> ParticleAttrs -> Bool Source # (/=) :: ParticleAttrs -> ParticleAttrs -> Bool Source #

type Particle = Maybe (Either ChoiceOrSeq Group) Source #

data AnyAttr Source #

Constructors

AnyAttr |

Fields

- anyattr_annotation :: Annotation
- anyattr_namespace :: URI
- anyattr_processContents :: ProcessContents

#### Instances

Instances details

Show AnyAttr Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> AnyAttr -> ShowS Source # show :: AnyAttr -> String Source # showList :: [AnyAttr] -> ShowS Source #
Eq AnyAttr Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: AnyAttr -> AnyAttr -> Bool Source # (/=) :: AnyAttr -> AnyAttr -> Bool Source #

data ElementEtc Source #

Constructors

HasElement ElementDecl |
HasGroup Group |
HasCS ChoiceOrSeq |
HasAny Any |

#### Instances

Instances details

Show ElementEtc Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> ElementEtc -> ShowS Source # show :: ElementEtc -> String Source # showList :: [ElementEtc] -> ShowS Source #
Eq ElementEtc Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: ElementEtc -> ElementEtc -> Bool Source # (/=) :: ElementEtc -> ElementEtc -> Bool Source #

data NameAndType Source #

Constructors

NT |

Fields

- theName :: Name
- theType :: Maybe QName

#### Instances

Instances details

Show NameAndType Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> NameAndType -> ShowS Source # show :: NameAndType -> String Source # showList :: [NameAndType] -> ShowS Source #
Eq NameAndType Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: NameAndType -> NameAndType -> Bool Source # (/=) :: NameAndType -> NameAndType -> Bool Source #

type Nillable = Bool Source #

data UniqueKeyOrKeyRef Source #

Constructors

U Unique |
K Key |
KR KeyRef |

#### Instances

Instances details

Show UniqueKeyOrKeyRef Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> UniqueKeyOrKeyRef -> ShowS Source # show :: UniqueKeyOrKeyRef -> String Source # showList :: [UniqueKeyOrKeyRef] -> ShowS Source #
Eq UniqueKeyOrKeyRef Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: UniqueKeyOrKeyRef -> UniqueKeyOrKeyRef -> Bool Source # (/=) :: UniqueKeyOrKeyRef -> UniqueKeyOrKeyRef -> Bool Source #

data Use Source #

Constructors

Required |
Optional |
Prohibited |

#### Instances

Instances details

Show Use Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Use -> ShowS Source # show :: Use -> String Source # showList :: [Use] -> ShowS Source #
Eq Use Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Use -> Use -> Bool Source # (/=) :: Use -> Use -> Bool Source #

type DefaultValue = String Source #

type FixedValue = String Source #

data KeyRef Source #

Constructors

KeyRef |

Fields

- keyref_annotation :: Annotation
- keyref_name :: Name
- keyref_refer :: QName
- keyref_selector :: Selector
- keyref_fields :: [Field]

#### Instances

Instances details

Show KeyRef Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> KeyRef -> ShowS Source # show :: KeyRef -> String Source # showList :: [KeyRef] -> ShowS Source #
Eq KeyRef Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: KeyRef -> KeyRef -> Bool Source # (/=) :: KeyRef -> KeyRef -> Bool Source #

data Field Source #

Constructors

Field |

Fields

- field_annotation :: Annotation
- field_xpath :: String

#### Instances

Instances details

Show Field Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods showsPrec :: Int -> Field -> ShowS Source # show :: Field -> String Source # showList :: [Field] -> ShowS Source #
Eq Field Source # |
Instance details Defined in Text.XML.HaXml.Schema.XSDTypeModel Methods (==) :: Field -> Field -> Bool Source # (/=) :: Field -> Field -> Bool Source #

type Regexp = String Source #

type TypeName = String Source #